# Account ID
Source: https://docs.enso.build/api-reference/account/account-id
/public/openapi.json get /api/v1/account/accountId
Gives the Account ID associated with the current user
# Approve Enso contract
Source: https://docs.enso.build/api-reference/defi-shortcuts/approve-enso-contract
/public/openapi.json get /api/v1/wallet/approve
Returns a transaction that approves your Enso contracts to spend the given amount of specified tokens. Approve before sending the route transaction on-chain.
# Bundle a list of actions
Source: https://docs.enso.build/api-reference/defi-shortcuts/bundle-a-list-of-actions
/public/openapi.json post /api/v1/shortcuts/bundle
Returns a single transaction bundling the submitted actions. For available actions, see `/actions` endpoint.
# Get transaction for IPOR shortcut
Source: https://docs.enso.build/api-reference/defi-shortcuts/get-transaction-for-ipor-shortcut
/public/openapi.json post /api/v1/shortcuts/static/ipor
# Optimal route between two tokens
Source: https://docs.enso.build/api-reference/defi-shortcuts/optimal-route-between-two-tokens
/public/openapi.json get /api/v1/shortcuts/route
Calculates optimal transaction with the best route between two tokens, which may involve several actions that interact with various DeFi protocols. This single call already quotes internally and returns executable calldata along with `amountOut` and `gas`, so there is no separate quote step to call beforehand.
With `useEoa` set to true, it returns balances for the given EOA address instead.
# Actions for protocol
Source: https://docs.enso.build/api-reference/integration/actions-for-protocol
/public/openapi.json get /api/v1/actions/{slug}
# Aggregators
Source: https://docs.enso.build/api-reference/integration/aggregators
/public/openapi.json get /api/v1/aggregators
Fetches aggregators supported by Enso
# All Protocols
Source: https://docs.enso.build/api-reference/integration/all-protocols
/public/openapi.json get /api/v1/protocols
Returns all available protocols with supported chains
# LayerZero pool
Source: https://docs.enso.build/api-reference/integration/layerzero-pool
/public/openapi.json get /api/v1/layerzero/pool
Returns the LayerZero Stargate pool address for a given token address and chain ID. Returns null if no pool exists for the token on that chain.
# Networks
Source: https://docs.enso.build/api-reference/integration/networks
/public/openapi.json get /api/v1/networks
Returns networks supported by Enso
# Projects
Source: https://docs.enso.build/api-reference/integration/projects
/public/openapi.json get /api/v1/projects
Returns supported projects (e.g. `aave`) or platforms associated with available projects
# Protocols in a project
Source: https://docs.enso.build/api-reference/integration/protocols-in-a-project
/public/openapi.json get /api/v1/projects/{project}/protocols
Returns all protocols available within the given project. For supported projects, see the `/projects` endpoint.
# Standard per protocol
Source: https://docs.enso.build/api-reference/integration/standard-per-protocol
/public/openapi.json get /api/v1/standards/{slug}
Returns a standard matching the given `slug`, containing supported actions, exact `inputs`, and a list of chains the standard's supported on.
# Standards
Source: https://docs.enso.build/api-reference/integration/standards
/public/openapi.json get /api/v1/standards
Returns standards available for bundling. Each element represents a protocol, with list of supported actions and chains the standard's supported on.
# Supported actions
Source: https://docs.enso.build/api-reference/integration/supported-actions
/public/openapi.json get /api/v1/actions
Returns actions that can be bundled with `/shortcuts/bundle` endpoint. For specific protocol actions and exact action inputs, see [`/actions/{slug}`](/api-reference/integration/actions-for-a-given-protocol) endpoint.
# Simulate already-built transactions (standalone)
Source: https://docs.enso.build/api-reference/quote/simulate-already-built-transactions-standalone
/public/quoter-openapi.json post /api/v1/simulate
Standalone simulator that returns predicted output amounts and gas for transactions that are ALREADY built (from any source). This is NOT part of the routing flow and is NOT a prerequisite for `/shortcuts/route` — `route` already quotes internally and returns executable calldata in a single call. Do not call this before routing. Use it only to independently simulate/validate arbitrary transactions you already have.
# Simulate multiple transactions in a single quoter call
Source: https://docs.enso.build/api-reference/quote/simulate-multiple-transactions-in-a-single-quoter-call
/public/quoter-openapi.json post /api/v1/simulate/batch
Standalone batch simulator that returns predicted output amounts and gas for up to 5 transactions that are ALREADY built (from any source). This is NOT part of the routing flow and is NOT a prerequisite for `/shortcuts/route` — `route` already quotes internally and returns executable calldata in a single call. Do not call this before routing. Use it only to independently simulate/validate arbitrary transactions you already have. All transactions share the same tokenIn, tokenOut, and amountIn. Returns one simulationId per transaction for use with `/validate`.
# Validate an unsigned transaction matches a prior simulation
Source: https://docs.enso.build/api-reference/quote/validate-an-unsigned-transaction-matches-a-prior-simulation
/public/quoter-openapi.json post /api/v1/validate
Validate an unsigned transaction matches a prior simulation
# Nontokenized positions
Source: https://docs.enso.build/api-reference/tokens/nontokenized-positions
/public/openapi.json get /api/v1/nontokenized
Returns a list of all nontokenized positions with details.
# Token Price
Source: https://docs.enso.build/api-reference/tokens/token-price
/public/openapi.json get /api/v1/prices/{chainId}/{address}
Returns token price for the given address and chainId.
# Tokens
Source: https://docs.enso.build/api-reference/tokens/tokens
/public/openapi.json get /api/v1/tokens
Returns tokens and their details.
Updated
Updated
Updated
Updated
Updated
Updated
Updated
Updated
Updated
Updated
Updated
Updated
Updated
destinationChainId | `1861167595`, the current Enso identifier for Solana. |
| `fromAddress` | The source EVM wallet address. |
| `tokenIn` | Exactly one source-chain asset address. |
| `amountIn` | Exactly one positive, fixed integer string in the input token's base unit. Dynamic amounts and placeholders are unsupported. |
| `tokenOut` | Exactly one case-sensitive Solana mint address, or the native SOL identifier below. |
| `receiver` | An explicit, case-sensitive Solana recipient address. |
| `refundReceiver` | An explicit, nonzero EVM address on the source chain for bridge refunds. |
| `slippage` | Slippage tolerance in basis points. `"50"` means 0.5%. Use this instead of `minAmountOut`. |
Preserve the original case of Solana addresses throughout your integration, including requests, storage, and display. The Solana `receiver` and EVM `refundReceiver` are separate addresses on different chains.
## Example: Ethereum USDC to Solana USDC
Set `ENSO_API_KEY` to your Enso API key, `EVM_ADDRESS` to your source wallet, and `SOLANA_ADDRESS` to the recipient's Solana wallet address.
This request routes 100 USDC from Ethereum to USDC on Solana with 0.5% slippage.
```bash theme={null}
curl --request POST \
--url https://api.enso.build/api/v1/shortcuts/route \
--header "Authorization: Bearer $ENSO_API_KEY" \
--header 'Content-Type: application/json' \
--data @- <Updated
Updated
Updated
Updated
| Network | Router V2 | Delegate V2 | EnsoShortcuts |
|---|---|---|---|
| Ethereum `1` | `0xF75584eF6673aD213a685a1B58Cc0330B8eA22Cf` | `0xA2F4f9C6ec598CA8c633024f8851c79CA5F43e48` | `0x4Fe93ebC4Ce6Ae4f81601cC7Ce7139023919E003` |
| Optimism `10` | `0xF75584eF6673aD213a685a1B58Cc0330B8eA22Cf` | `0xA2F4f9C6ec598CA8c633024f8851c79CA5F43e48` | `0x4Fe93ebC4Ce6Ae4f81601cC7Ce7139023919E003` |
| Binance `56` | `0xF75584eF6673aD213a685a1B58Cc0330B8eA22Cf` | `0xA2F4f9C6ec598CA8c633024f8851c79CA5F43e48` | `0x4Fe93ebC4Ce6Ae4f81601cC7Ce7139023919E003` |
| Gnosis `100` | `0xF75584eF6673aD213a685a1B58Cc0330B8eA22Cf` | `0xA2F4f9C6ec598CA8c633024f8851c79CA5F43e48` | `0x4Fe93ebC4Ce6Ae4f81601cC7Ce7139023919E003` |
| Unichain `130` | `0xF75584eF6673aD213a685a1B58Cc0330B8eA22Cf` | `0xA2F4f9C6ec598CA8c633024f8851c79CA5F43e48` | `0x4Fe93ebC4Ce6Ae4f81601cC7Ce7139023919E003` |
| Polygon `137` | `0xF75584eF6673aD213a685a1B58Cc0330B8eA22Cf` | `0xA2F4f9C6ec598CA8c633024f8851c79CA5F43e48` | `0x4Fe93ebC4Ce6Ae4f81601cC7Ce7139023919E003` |
| Monad `143` | `0xCfBAa9Cfce952Ca4F4069874fF1Df8c05e37a3c7` | `0xA2F4f9C6ec598CA8c633024f8851c79CA5F43e48` | `0x0d14f7c957bd15f5Bec423F9b1B51E122D90Fc76` |
| Sonic `146` | `0xF75584eF6673aD213a685a1B58Cc0330B8eA22Cf` | `0xA2F4f9C6ec598CA8c633024f8851c79CA5F43e48` | `0x4Fe93ebC4Ce6Ae4f81601cC7Ce7139023919E003` |
| ZkSync `324` | `0x1BD8CefD703CF6b8fF886AD2E32653C32bc62b5C` | `0x4CB2f9B3F3FE141C6283bAA9F210B2A1dba047c3` | `0x62Ff58620B2b004c6AA51B050E5d73236DA538dB` |
| World `480` | `0xF75584eF6673aD213a685a1B58Cc0330B8eA22Cf` | `0xA2F4f9C6ec598CA8c633024f8851c79CA5F43e48` | `0x4Fe93ebC4Ce6Ae4f81601cC7Ce7139023919E003` |
| Hyper `999` | `0xF75584eF6673aD213a685a1B58Cc0330B8eA22Cf` | `0xA2F4f9C6ec598CA8c633024f8851c79CA5F43e48` | `0x4Fe93ebC4Ce6Ae4f81601cC7Ce7139023919E003` |
| Sei `1329` | `0x300b3D30aaBf46b05983284f0297D966E92bbeB2` | `0x23116881a725d3C43c8310A6C5c8fbE769DD322E` | `0xE532C864B7eD73B5188B8410AD2Acd4a7ed7BA26` |
| Soneium `1868` | `0xF75584eF6673aD213a685a1B58Cc0330B8eA22Cf` | `0xA2F4f9C6ec598CA8c633024f8851c79CA5F43e48` | `0x4Fe93ebC4Ce6Ae4f81601cC7Ce7139023919E003` |
| Tempo `4217` | `0xCfBAa9Cfce952Ca4F4069874fF1Df8c05e37a3c7` | `0xA2F4f9C6ec598CA8c633024f8851c79CA5F43e48` | `0x0d14f7c957bd15f5Bec423F9b1B51E122D90Fc76` |
| MegaETH `4326` | `0xCfBAa9Cfce952Ca4F4069874fF1Df8c05e37a3c7` | `0xA2F4f9C6ec598CA8c633024f8851c79CA5F43e48` | `0x0d14f7c957bd15f5Bec423F9b1B51E122D90Fc76` |
| Robinhood `4663` | `0xCfBAa9Cfce952Ca4F4069874fF1Df8c05e37a3c7` | `0xA2F4f9C6ec598CA8c633024f8851c79CA5F43e48` | `0x0d14f7c957bd15f5Bec423F9b1B51E122D90Fc76` |
| Arc `5042` | `0xCfBAa9Cfce952Ca4F4069874fF1Df8c05e37a3c7` | `0xA2F4f9C6ec598CA8c633024f8851c79CA5F43e48` | `0x0d14f7c957bd15f5Bec423F9b1B51E122D90Fc76` |
| Base `8453` | `0xF75584eF6673aD213a685a1B58Cc0330B8eA22Cf` | `0xA2F4f9C6ec598CA8c633024f8851c79CA5F43e48` | `0x4Fe93ebC4Ce6Ae4f81601cC7Ce7139023919E003` |
| Plasma `9745` | `0xCfBAa9Cfce952Ca4F4069874fF1Df8c05e37a3c7` | `0xA2F4f9C6ec598CA8c633024f8851c79CA5F43e48` | `0x0d14f7c957bd15f5Bec423F9b1B51E122D90Fc76` |
| Arbitrum `42161` | `0xF75584eF6673aD213a685a1B58Cc0330B8eA22Cf` | `0xA2F4f9C6ec598CA8c633024f8851c79CA5F43e48` | `0x4Fe93ebC4Ce6Ae4f81601cC7Ce7139023919E003` |
| Avalanche `43114` | `0xF75584eF6673aD213a685a1B58Cc0330B8eA22Cf` | `0xA2F4f9C6ec598CA8c633024f8851c79CA5F43e48` | `0x4Fe93ebC4Ce6Ae4f81601cC7Ce7139023919E003` |
| Ink `57073` | `0xF75584eF6673aD213a685a1B58Cc0330B8eA22Cf` | `0xA2F4f9C6ec598CA8c633024f8851c79CA5F43e48` | `0x4Fe93ebC4Ce6Ae4f81601cC7Ce7139023919E003` |
| Linea `59144` | `0xA146d46823f3F594B785200102Be5385CAfCE9B5` | `0x82309f58B39C4c27Cf2594801Ba5E8Fd34f641B8` | `0xdf4bb23FE9367F9f66247CE35f82ebB17785528C` |
| Berachain `80094` | `0xF75584eF6673aD213a685a1B58Cc0330B8eA22Cf` | `0xA2F4f9C6ec598CA8c633024f8851c79CA5F43e48` | `0x4Fe93ebC4Ce6Ae4f81601cC7Ce7139023919E003` |
| Plume `98866` | `0x3067BDBa0e6628497d527bEF511c22DA8b32cA3F` | `0xA2F4f9C6ec598CA8c633024f8851c79CA5F43e48` | `0xdC0f215C6E6cbb900AA00AFDeC299d88C15fF743` |
| Katana `747474` | `0x3067BDBa0e6628497d527bEF511c22DA8b32cA3F` | `0xA2F4f9C6ec598CA8c633024f8851c79CA5F43e48` | `0xdC0f215C6E6cbb900AA00AFDeC299d88C15fF743` |
| Sepolia `11155111` | `0xF75584eF6673aD213a685a1B58Cc0330B8eA22Cf` | `0x7663fd40081dcCd47805c00e613B6beAc3B87F08` | - |
| Network | EnsoWalletV2Factory | EnsoWalletV2 implementation |
|---|---|---|
| Ethereum `1` | `0xC914A663837Eb21c5a650716E015659686597E55` | `0xA04df79c7e91f393B64e7BfECbfFA13A9f9F2829` |
| Optimism `10` | `0xC914A663837Eb21c5a650716E015659686597E55` | `0xA04df79c7e91f393B64e7BfECbfFA13A9f9F2829` |
| Binance `56` | `0xC914A663837Eb21c5a650716E015659686597E55` | `0xA04df79c7e91f393B64e7BfECbfFA13A9f9F2829` |
| Gnosis `100` | `0xC914A663837Eb21c5a650716E015659686597E55` | `0xA04df79c7e91f393B64e7BfECbfFA13A9f9F2829` |
| Unichain `130` | `0xC914A663837Eb21c5a650716E015659686597E55` | `0xA04df79c7e91f393B64e7BfECbfFA13A9f9F2829` |
| Polygon `137` | `0xC914A663837Eb21c5a650716E015659686597E55` | `0xA04df79c7e91f393B64e7BfECbfFA13A9f9F2829` |
| Monad `143` | `0xC914A663837Eb21c5a650716E015659686597E55` | `0xA04df79c7e91f393B64e7BfECbfFA13A9f9F2829` |
| Sonic `146` | `0xC914A663837Eb21c5a650716E015659686597E55` | `0xA04df79c7e91f393B64e7BfECbfFA13A9f9F2829` |
| ZkSync `324` | `0x716754ad80A79032999F28c3bcDA608dC5EeDF90` | `0xD872e707E1f09F30Ec0cf20658E6A7fEb7b98B7d` |
| World `480` | `0xC914A663837Eb21c5a650716E015659686597E55` | `0xA04df79c7e91f393B64e7BfECbfFA13A9f9F2829` |
| Hyper `999` | `0xC914A663837Eb21c5a650716E015659686597E55` | `0xA04df79c7e91f393B64e7BfECbfFA13A9f9F2829` |
| Sei `1329` | `0x8c224B65f92523fC3df8B162504311B23E03dDba` | `0xA22f65d8799164C2636aFb0BD36a776Bf72Af360` |
| Soneium `1868` | `0xC914A663837Eb21c5a650716E015659686597E55` | `0xA04df79c7e91f393B64e7BfECbfFA13A9f9F2829` |
| Tempo `4217` | `0xC914A663837Eb21c5a650716E015659686597E55` | `0xA04df79c7e91f393B64e7BfECbfFA13A9f9F2829` |
| MegaETH `4326` | `0xC914A663837Eb21c5a650716E015659686597E55` | `0xA04df79c7e91f393B64e7BfECbfFA13A9f9F2829` |
| Robinhood `4663` | `0xC914A663837Eb21c5a650716E015659686597E55` | `0xA04df79c7e91f393B64e7BfECbfFA13A9f9F2829` |
| Arc `5042` | `0xC914A663837Eb21c5a650716E015659686597E55` | `0xA04df79c7e91f393B64e7BfECbfFA13A9f9F2829` |
| Base `8453` | `0xC914A663837Eb21c5a650716E015659686597E55` | `0xA04df79c7e91f393B64e7BfECbfFA13A9f9F2829` |
| Plasma `9745` | `0xC914A663837Eb21c5a650716E015659686597E55` | `0xA04df79c7e91f393B64e7BfECbfFA13A9f9F2829` |
| Arbitrum `42161` | `0xC914A663837Eb21c5a650716E015659686597E55` | `0xA04df79c7e91f393B64e7BfECbfFA13A9f9F2829` |
| Avalanche `43114` | `0xC914A663837Eb21c5a650716E015659686597E55` | `0xA04df79c7e91f393B64e7BfECbfFA13A9f9F2829` |
| Ink `57073` | `0xC914A663837Eb21c5a650716E015659686597E55` | `0xA04df79c7e91f393B64e7BfECbfFA13A9f9F2829` |
| Linea `59144` | `0xC914A663837Eb21c5a650716E015659686597E55` | `0xA04df79c7e91f393B64e7BfECbfFA13A9f9F2829` |
| Berachain `80094` | `0xC914A663837Eb21c5a650716E015659686597E55` | `0xA04df79c7e91f393B64e7BfECbfFA13A9f9F2829` |
| Plume `98866` | `0xC914A663837Eb21c5a650716E015659686597E55` | `0xA04df79c7e91f393B64e7BfECbfFA13A9f9F2829` |
| Katana `747474` | `0xC914A663837Eb21c5a650716E015659686597E55` | `0xA04df79c7e91f393B64e7BfECbfFA13A9f9F2829` |
| Network | EnsoRouterFlashloanAdapter (`router`) |
EnsoWalletFlashloanAdapter (`ensowallet-v2`) |
EnsoSafeFlashloanAdapter (`safe`) |
|---|---|---|---|
| Ethereum `1` | `0x66a6dA113AeE7cc1682e41599fFC2d2f492FaB88` | `0x24654fF626B73B276c846459d0bD83ef9271B166` | `0x21c056a4578f36dAF7A7c0181eCa93e53EB75e6A` |
| Optimism `10` | `0x55F26dDd1f55B61ce6495b55e6C9498E3eb36a2f` | `0x41eAe9A93B5f72E899aFaCF389fc1f74e841e354` | `0xFc8837EcFC9EA9761A24629eEEeCB7c53D73dBc0` |
| Binance `56` | `0xb48fC56fC15B4d5770255dE0F0BBD5b1691e510F` | `0x21f7e08aDBf70A93Cc473E3679b609F53418DDf1` | `0x4128e8a87EbEb08899675b7029843dD00F3b60f8` |
| Gnosis `100` | - | - | - |
| Unichain `130` | `0x5b3278a0Fe58c5496b15B1fC67d44d4d90Bb3C16` | `0x47E9994c89E88e8c387AAD19395a06876958c321` | `0x718bDEBA6Bd50F4830B130E9918e3045Da76C985` |
| Polygon `137` | `0x2133cedc35c751A3905Fff6C8555BD1c255FC671` | `0xA0Bb75D2A827aCd8FE45F70B298ecF897cbd98fE` | `0x4a3E0A7E044942CDAFCE0297ef36Fe4eA3227181` |
| Monad `143` | `0x8C2A814789649Fe0F10ff87cE91954a99bf4E022` | `0xa2Aeb0e28fB73E5a5DBC348C3debA4b72bE26DC9` | `0x79C185EDEAb72626427D50274E5CA3d697dD6A5c` |
| Sonic `146` | `0xacc2187a09f80469b7700Ce40E5B7aE70ab37288` | `0xce6D5FC746B9cb9ed8fceF54c7ab5C85A3996670` | `0xB7AcdeA0063144b7D710e6A0ABe2C40C27cf6014` |
| ZkSync `324` | - | - | - |
| World `480` | `0x882fb836F26ac98C2884a4E0a0A20b69A559Bc82` | `0x3819FBe6356ABf6AddDcF51E520C09507AB1FB63` | `0xCDC75847689e82914D8b185fAD0cD170D626139c` |
| Hyper `999` | `0x9f5fE8ae43c43a246EaC572528469767ED28Df58` | `0xDa6b071fD3864675089DD10951c19532D5a50BD1` | `0x4CdDbEe54a7537ea9f6Db14aEB8c2aFdE51fbFf0` |
| Sei `1329` | - | - | - |
| Soneium `1868` | `0x8DdA8F1C511378D3D618E72AbcB311CdFBb7c72E` | `0x8d3CAd582d32969Bc98d61fAE3a4aD30f527b171` | `0xA54272b452dF9E7A8135dB08Fd9d1FB0E4349e55` |
| Tempo `4217` | - | - | - |
| MegaETH `4326` | `0xd0F18846a49af116cbe71D0B9aA4A72A14035994` | `0xd0269e1BA96b4f5c79B4116b7f35C641B6ad806D` | `0x3c104FD1e135F6bF58AB216637A6B7803C2AcC82` |
| Robinhood `4663` | `0x4ee6203F8444F11322B47BFF8a4338E618965354` | `0x1FD99982260c00a035f61301D3254a582b8E5691` | `0x5D484FEAE61680Ac3e22a9Fb6Ad1eab1c86cdE6e` |
| Arc `5042` | `0xB984D4CD8df0c1E105472068cc346E95EE1f8c35` | `0x97Dc177a5a472c82ebBFe9Ae39A03c677568599C` | `0xd977B7d439cC7E1C0Ca3d790bD5480DAD82E1c0B` |
| Base `8453` | `0xC787596E969462abDb70813Be1FaE21C6e7DeD80` | `0x60E5cc50AbecFB82B50550cc402C79622D5180b3` | `0x7AB775FC8927EDebC0819447D75b4da0d2A44552` |
| Plasma `9745` | `0xb8732c7c3EB0D7d2A60a6217a8C8bc75a0235312` | `0x9bF80063a902e2bC1e870139d35214F45eE636dF` | `0x26C4D638555b3ac5961D32716caadFd3e1eBE990` |
| Arbitrum `42161` | `0xb11ab56e8Aa3a33f71374aF8B5791b0f1C70A624` | `0xcbDbF3CF33F3af8866b41A678Cc0e3d2D03C73E6` | `0x5208BCc6836516745dde5eC78b1F622B3D442Dd4` |
| Avalanche `43114` | `0xdaC73b1C14f0E6e3C7cE53b217324Fa9E2C94472` | `0x26765346136C4906FEaf819bb04c3d3C33a5F6e4` | `0x4cFeeeD0a0af4A38549016197e166Ab04B86C209` |
| Ink `57073` | `0xF3A1d35e74673CDf3dB8da2F55300a299425C8A6` | `0x04fB919047Ae39a396Cb3944b504E5b3a45D5654` | `0x3e6A44037f91026117ba7E5106b3ec68D00cA7B9` |
| Linea `59144` | - | - | - |
| Berachain `80094` | `0x8E7E3c038352B0902F28525794478F4e1ACA0115` | `0xdA08A7EF668A19f76352b3E545D40F05b0645d47` | `0x27146d6F54C4318d1c2DA9F209612f2c4aAA7164` |
| Plume `98866` | `0x2Dd9e1649Bb6eAfEc979Edf2123f027E88a1cbf1` | `0x11F854B0D4fAc3433fd8D4246B9C474c796440e5` | `0xa388d9b7ccD8098D7DDaeE28c48f7A5BaD533D55` |
| Katana `747474` | `0x4F9d724B214C4DB1eA30Efaa060B18F1fF9BAd3a` | `0x0eE6B77DDE9017F3e46B7Cb9219e54bD66e35B7D` | `0xDd5c930F182C6252Df34a13AE2Dbe2858ab8a6ba` |
| Network | LayerZeroReceiver | EnsoCCIPReceiver |
|---|---|---|
| Ethereum `1` | `0xbF7773Ad9d1aBCC0a01981e3bff7E6408a775939` | `0x46d0fF229e0a0eA5c4DCc639Ce8f5Cf75967122d` |
| Optimism `10` | `0xbF7773Ad9d1aBCC0a01981e3bff7E6408a775939` | `0x45f8E18B2879E813F51Ff935C43742aC316b7700` |
| Binance `56` | `0xbF7773Ad9d1aBCC0a01981e3bff7E6408a775939` | `0x74dE5135dF38493e1637c268E7e58Daae7937332` |
| Gnosis `100` | `0xbF7773Ad9d1aBCC0a01981e3bff7E6408a775939` | `0x611dA0E509468cEb39db1e28F48Ef63a8054AA79` |
| Unichain `130` | `0xB0a9813b000E8D45E04CbD3e7abb673eBE17c36d` | `0xF222c30589f209A3Da1cb67D8302Dd8a1181FA37` |
| Polygon `137` | `0xbF7773Ad9d1aBCC0a01981e3bff7E6408a775939` | `0x5416b5Da1a832E31bB83BF7F5f3f112CdD02B0FB` |
| Monad `143` | `0xbe0adcC42632df829eD70dfA40D488939D886ACf` | `0xBd1526Eef90712F875f9bf5BE7EF8Ddb4eBb2429` |
| Sonic `146` | `0xB0a9813b000E8D45E04CbD3e7abb673eBE17c36d` | `0x41320ee506761b8FF971c1e5eB4d94C8Fa9be7C5` |
| ZkSync `324` | `0x32755753d0d02A2210eF7A331B43C07a419F6444` | `0x189EDE5Aa3fb2d90e0437052b1e195b97dD2Ae9f` |
| World `480` | `0xB0a9813b000E8D45E04CbD3e7abb673eBE17c36d` | `0x9aCA77030f10c55485Aa5E1406e04E72ba4e965a` |
| Hyper `999` | `0xaB0D527A03Af5626FBf845C6C929d34991634f0e` | `0x3C3378529f39BC601F08BBEb87C72413DCd4E739` |
| Sei `1329` | `0x7A1C91392462c55FB7F2eA98905eA8CeEEA04579` | `0x5b8051C48877d08c890d86054d933BaF24222816` |
| Soneium `1868` | `0xC486d2e656c14a9c0954D7B175F91DA76154FB90` | `0xCD9493861c52e887F3669E78fC8CE97ddE4DAb3f` |
| Tempo `4217` | `0x47A87Fa2249aAe0eCcE782e0356b6Cb7979a0c01` | `0x1A1185368D77E8789A76862345b0cD822df8aF18` |
| MegaETH `4326` | `0xbe0adcC42632df829eD70dfA40D488939D886ACf` | `0x07f1199ed46ae0314DCD8BF1a02cE21b348c497F` |
| Robinhood `4663` | `0xaeE4C3Abf37a379FBd33070a314D331A8941AE3c` | `0x2aB4AdAdCFc106d785bDfae2f863d83ca260b892` |
| Arc `5042` | `0xaeE4C3Abf37a379FBd33070a314D331A8941AE3c` | `0x0576400f1e3bcA8eC1cdCF81caA9293ADc07DbEB` |
| Base `8453` | `0xbF7773Ad9d1aBCC0a01981e3bff7E6408a775939` | `0xf0De2DaD7d10273d59ceA9aD7eDbB18070cA7105` |
| Plasma `9745` | `0xbe0adcC42632df829eD70dfA40D488939D886ACf` | `0x206eC253b9a26f5b6b565ba3B4EB039c88BE4596` |
| Arbitrum `42161` | `0xbF7773Ad9d1aBCC0a01981e3bff7E6408a775939` | `0xa31E1D91E6FF7b7eDF6841D9914F2A31d638c9c8` |
| Avalanche `43114` | `0xbF7773Ad9d1aBCC0a01981e3bff7E6408a775939` | `0xd60707E1dc74FF5C91E89C74b26964CaD49d2E32` |
| Ink `57073` | `0x508FFd4cEAf7a5556b61817456b2d0f220DA79A3` | `0x21d8786ac4aa2c0db259A0c6e44E827A54de1B8a` |
| Linea `59144` | `0x06A23c1bB3F8b7b055Ede21Af66eEAf0E40c1D59` | `0xF7630285184768f575699B8e6B3Ca58CA2046d41` |
| Berachain `80094` | `0xB0a9813b000E8D45E04CbD3e7abb673eBE17c36d` | `0xEEA06801d20D898465887AbaF510675F79d872FE` |
| Plume `98866` | `0x9538527a14936681a4B545cCFc4784Bff36875b0` | `0x80E3FD89840aE6d34D50576a8757aEaB9D15Ec04` |
| Katana `747474` | `0x090db4bAD7Cd034083e7da27c76f6649C7285E55` | `0xfE9B4ECeE3d8D752865d5a9c8C3012F2c5ab0D9B` |
| Network | UniswapV4Helpers | UniswapV4SwapHelpers |
|---|---|---|
| Ethereum `1` | `0x1ab9a6D2192407a5B641DA1f809a3B81c2e27237` | `0x4A381087756b8CCaA7c89Cf041D044ff387a8C2b` |
| Optimism `10` | `0x004177fd57f4FF78c7541cCBCC35C8E96DE54D78` | `0x12c7bAc2Ec4cd4921Fa0748ECC572D5d77085647` |
| Binance `56` | `0x65BB51C4FFe70fcCF7D431e435907Be7320327b3` | `0xa5c0c7b103b38520032a3468D5f825d3643D3bE4` |
| Unichain `130` | `0x2913B0067862635e3070003dd47b9BD8271C35A7` | `0xa4Bf9419D7Aa47143f41EE62a3a790CC5b09c38c` |
| Polygon `137` | `0x151fC2b1E5eA5611eD9dA6323012a72Dfc60014B` | `0xf30e9F2266c748Da73D1f926001D9D231ddd86b1` |
| Monad `143` | `0x6d30D04E8f89a0e2cAbB8c292b4a2f631D1783E2` | `0x02256aE59EaCa4C7Bd77E908B63F642E10DD23F5` |
| World `480` | `0x2913B0067862635e3070003dd47b9BD8271C35A7` | `0x0158b1a05b5Ae87F255D227f5752659FdA6Cd6Cd` |
| Soneium `1868` | `0x2913B0067862635e3070003dd47b9BD8271C35A7` | `0xe03E6FA95874B5F09d8EBFEeE278558652Ad819e` |
| Tempo `4217` | `0xc56d1694eb8Ab55b81178A38D8E4D401f92AA7bb` | `0x1d45d0F3135e7D9dc5D9c98EC7dD3dAa29168516` |
| Robinhood `4663` | `0x03279866e8c3afDe201242462F3bCbf16a2Aa327` | `0x516C5c15CB5569E37602A689BdbB73aDb841B32F` |
| Arc `5042` | `0x03279866e8c3afDe201242462F3bCbf16a2Aa327` | `0x2a1315187E205B9C5301C38D6b2BFd3e08Ba70fD` |
| Base `8453` | `0xe3E970560026be21fB546a85368B78096B6311a0` | `0xffc000363232b5e46657fc3Ad5C5672aaab83fB3` |
| Arbitrum `42161` | `0xca5D736E51f706A0A9b9069154F536d722c6e0d9` | `0xC0c89BC290e4Ddb1C46f3896c17716e84d55c615` |
| Avalanche `43114` | `0x853e8798DA3B06c05ebF44Fc24cc005714eA988a` | `0x68520E9a218086f95396d280145b091d03099410` |
| Ink `57073` | `0x2913B0067862635e3070003dd47b9BD8271C35A7` | `0x22c8EA6D5c17225e9168F080891773a849E87BA1` |
| Network | Router V1 | Delegate V1 |
|---|---|---|
| Ethereum `1` | `0x80EbA3855878739F4710233A8a19d89Bdd2ffB8E` | `0x38147794FF247e5Fc179eDbAE6C37fff88f68C52` |
| Optimism `10` | `0x80EbA3855878739F4710233A8a19d89Bdd2ffB8E` | `0x38147794FF247e5Fc179eDbAE6C37fff88f68C52` |
| Binance `56` | `0x80EbA3855878739F4710233A8a19d89Bdd2ffB8E` | `0x38147794FF247e5Fc179eDbAE6C37fff88f68C52` |
| Gnosis `100` | `0x80EbA3855878739F4710233A8a19d89Bdd2ffB8E` | `0x38147794FF247e5Fc179eDbAE6C37fff88f68C52` |
| Unichain `130` | - | - |
| Polygon `137` | `0x80EbA3855878739F4710233A8a19d89Bdd2ffB8E` | `0x38147794FF247e5Fc179eDbAE6C37fff88f68C52` |
| Monad `143` | - | - |
| Sonic `146` | `0x80EbA3855878739F4710233A8a19d89Bdd2ffB8E` | `0x38147794FF247e5Fc179eDbAE6C37fff88f68C52` |
| ZkSync `324` | `0xd12ecDD67300D5ef0A68576CfDF038bAB5b5054a` | `0x43BD12326142568D5Cc33c7326A68Ca4e0be9292` |
| World `480` | - | - |
| Hyper `999` | `0x80EbA3855878739F4710233A8a19d89Bdd2ffB8E` | `0x38147794FF247e5Fc179eDbAE6C37fff88f68C52` |
| Sei `1329` | - | - |
| Soneium `1868` | - | - |
| Tempo `4217` | - | - |
| MegaETH `4326` | - | - |
| Robinhood `4663` | - | - |
| Arc `5042` | - | - |
| Base `8453` | `0x80EbA3855878739F4710233A8a19d89Bdd2ffB8E` | `0x38147794FF247e5Fc179eDbAE6C37fff88f68C52` |
| Plasma `9745` | - | - |
| Arbitrum `42161` | `0x80EbA3855878739F4710233A8a19d89Bdd2ffB8E` | `0x38147794FF247e5Fc179eDbAE6C37fff88f68C52` |
| Avalanche `43114` | `0x80EbA3855878739F4710233A8a19d89Bdd2ffB8E` | `0x38147794FF247e5Fc179eDbAE6C37fff88f68C52` |
| Ink `57073` | - | - |
| Linea `59144` | `0x80EbA3855878739F4710233A8a19d89Bdd2ffB8E` | `0x38147794FF247e5Fc179eDbAE6C37fff88f68C52` |
| Berachain `80094` | `0x80EbA3855878739F4710233A8a19d89Bdd2ffB8E` | `0x38147794FF247e5Fc179eDbAE6C37fff88f68C52` |
| Plume `98866` | - | - |
| Katana `747474` | - | - |
| Sepolia `11155111` | - | - |
Updated
Updated
Updated
Updated
Updated
Updated
Updated
Updated
Updated
Updated
Updated
Updated
Updated
Updated
Updated
Updated
Updated
Updated
Updated
Updated
Updated
Updated
Updated
Updated
Updated
Updated
Updated
Updated
Find Enso routes and bundles for different DeFi use cases and the run strategies you need.
Updated
Updated
Updated
Updated
Updated
Updated